﻿
//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
// Автор исходных кодов Клочков Павел
//====================================================



namespace BlazorCommonLogout.Global
{

    // Класс для отслеживания выхода текущего юзера из системы.
    public class TrackUserLogout
    {

        public delegate void UserLogoutEventHandler(string userName);

        public event UserLogoutEventHandler UserOut;

        // Вызов события выхода юзера из системы.
        // Возбуждается в Areas\Identity\Pages\Account\LogOut.cshtml
        // Выполняется в Shared\MainLayout.razor
        public virtual void OnUserOut(string name) => UserOut?.Invoke(name);
    }
}
